/***
 * Excerpted from "Resourceful Code Reuse",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit http://www.pragmaticprogrammer.com/titles/dzreuse for more book information.
***/
#ifndef JSON_H
#define JSON_H

#include <stdbool.h> // For bool, false, and true

// Data types
typedef struct JSON_Object {
  // ...
} JSON_Object;
// ...

// Global variables
extern int json_errno;
// ...

// Function prototypes
bool read_boolean(FILE*);
char *read_string(FILE*);
void *obscure_helper();
JSON_Object *read_json(char*);
int write_json(char*, JSON_Object*);
// ...

#endif
